<script setup lang="ts">
const props = defineProps<{
  class?: string
  ux?: any
  names: string[]
}>()

const classes = useStyling(
  'contactDetailGroup',
  {
    slots: {
      base: 'flex flex-col',
    },
  },
  props
)
</script>

<template>
  <div :class="classes.base">
    <XContactDetail v-for="name in props.names" :name="name" />
  </div>
</template>
